import es, playerlib, random

info = es.AddonInfo()
info.name          = "Never_Ending_Zombies"
info.version       = "1.1"
info.author        = "Undead"
info.description   = "Script for Zombiemod that keeps round from ending before round time is up"

es.ServerVar(info.name, info.version).makepublic()

def load():
    es.server.queuecmd('est_RegEventBlock player_death "es_doblock never_ending_zombies/pre_player_death"')
    es.server.queuecmd('est_RegEventBlock player_disconnect "es_doblock never_ending_zombies/pre_player_disconnect"')
    es.ServerVar('_temp_var').set(0)
    es.msg('#multi', '#default[#greenNever Ending Zombies#default] by #lightgreenUndead #defaulthas been loaded!')

def unload():
    es.server.queuecmd('est_UnRegEventBlock player_death "es_doblock never_ending_zombies/pre_player_death"')
    es.server.queuecmd('est_UnRegEVentBlock player_disconnect "es_doblock never_ending_zombies/pre_player_disconnect"')
    es.msg('#multi', '#default[#greenNever Ending Zombies#default] by #lightgreenUndead #defaulthas been unloaded!')

def GetInfo(info):
    es.server.cmd('est_GetEventInfo _temp_var %s'%info)
    return str(es.ServerVar('_temp_var'))

def pre_player_death():
    user = int(GetInfo('userid'))
    player_team = es.getplayerteam(user)
    if player_team == 2:
        if int(es.getlivingplayercount('2')) == 0:
            rand_human = random.choice(playerlib.getUseridList('#ct,#alive'))
            es.server.queuecmd('zombie_player %s'%es.getplayername(rand_human))
            es.cexec(user, 'zombie_respawn')
            es.msg('The one and only zombie died so a random player has been zombified!')

def pre_player_disconnect():
    user = int(GetInfo('userid'))
    player_team = es.getplayerteam(user)
    if player_team == 2:
        if int(es.getlivingplayercount('2')) == 1:
            rand_human = random.choice(playerlib.getUseridList('#ct,#alive'))
            es.server.queuecmd('zombie_player %s'%es.getplayername(rand_human))
            es.msg('The one and only zombie disconnected so a random player has been zombified!')